Subject: Re: bug#65524: errors in pack symlink

From: Cayetano Santos <[email-masked]>
Date: Fri, 25 Aug 2023 12:14:55 +0200

>ven. 25 août 2023 at 16:33, Hilton Chain <[email-masked]> wrote:

> Hi Cayetano,
>
> On Fri, 25 Aug 2023 15:50:53 +0800,
> Cayetano Santos via Bug reports for GNU Guix wrote:
>>
>>
>> Hello guix,
>>
>>   I’m doing a simple
>>
>>     guix pack -S /.guix-profile/bin=bin mg
>>
>>   with no issue.
>>
>>   However, when I replace ’bin’ by ’sbin’, ’libexec’ or ’src’ I get an
>>   error.
>>
>>     guix pack -S /.guix-profile/libexec=libexec mg
>>
>>   This used to perform correctly. Is that an expected behaviour ?
>>
>>   I’m using "738b0e4" from yesterday.
>
> I don't know about the previous state, but currently mg and the
> produced profile used by guix pack don't contain sbin, libexec or src:
>
> $ ls /gnu/store/m11qlw60b4chz37cysqxg6kpixnqjld5-mg-20221112/
> bin/  etc/  share/
>
> $ ls /gnu/store/5qn8s8qdlvxv1aj9dsh4bffbxqd9xbjn-profile/
> bin@  etc/  share/  manifest

You’re right. This is probably the reason, I have misunderstood the way
it is done.

Thanks,

C.